## libitl 0.6.4

=== Makefile ===
#--
# $Id: Makefile,v 1.15 2005/03/16 23:02:00 thamer Exp $
#--

include build/config.mk

SOVERSION=0
SONAME=libitl.so.$(SOVERSION)
FULLNAME=$(SONAME).0.6

COMPONENTS = hijri prayertime

all: configure build/config.mk build/libitl.so

static: configure build/config.mk build/static/libitl.a

configure: autogen.sh
	@echo "Please run ./autogen.sh..."
	@false

build/config.mk: configure
	@echo "Please run ./configure..."
	@false

build/libitl.so: components
	$(LD) build/*.o $(LDFLAGS) -shared -lm -lc -soname=$(SONAME) -o build/$(FULLNAME)
	(cd build/ && ln -sf $(FULLNAME) $(SONAME))
	(cd build/ && ln -sf $(FULLNAME) libitl.so)

debinstall: components
	$(CC) build/*.o -shared -lm -lc -D_REENTRANT -Wl,-z,defs,-soname,$(SONAME) \
	-o build/$(FULLNAME)
	(cd build/ && ln -sf $(FULLNAME) $(SONAME))
	(cd build/ && ln -sf $(FULLNAME) libitl.so)
	strip --strip-unneeded build/$(FULLNAME)
	rm -f build/*.o build/ITL_*
	@echo "==> Installing libitl library..."
	test -d $(PREFIX)/lib \
	|| mkdir -p $(PREFIX)/lib \
	|| exit 1;
	cp build/$(FULLNAME) $(PREFIX)/lib
	cp -P build/$(SONAME) $(PREFIX)/lib
	cp -P build/libitl.so $(PREFIX)/lib
	@echo "==> Installing ITL components..."
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i install || exit 1; \
	done
	rm -f config.log config.status

build/static/libitl.a: static-components
	$(AR) rcs build/libitl.a build/*.o

install: build/libitl.so
	@echo "==> Installing libitl library..."
	test -d $(PREFIX)/lib/itl \
	|| mkdir -p $(PREFIX)/lib/itl \
	|| exit 1;
	cp build/$(FULLNAME) $(PREFIX)/lib/itl
	cp -P build/$(SONAME) $(PREFIX)/lib/itl
	cp -P build/libitl.so $(PREFIX)/lib/itl
	@echo "==> Installing ITL components..."
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i install || exit 1; \
	done

uninstall:
	@echo "==> Uninstall ITL library..."
	rm -rf $(PREFIX)/lib/itl
	@echo "==> Removing ITL include dir..."
	rm -rf $(PREFIX)/include/itl
	@echo "==> Uninstalling ITL components..."
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i uninstall || exit 1; \
	done

components:
	for i in $(COMPONENTS); do \
	  $(MAKE) CFLAGS+="-fPIC" -C $$i libitl || exit 1; \
	done

static-components:
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i libitl || exit 1; \
	done

install-components: components
	@echo "==> Installing ITL components..."
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i install || exit 1; \
	done

uninstall-components:
	@echo "==> Uninstalling ITL components..."
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i uninstall || exit 1; \
	done

swig: build/libitl.so
	$(MAKE) -C "swig"

clean:
	@echo "==> Cleaning up ITL build..."
	rm -f build/*.a build/*.so build/*.so.*
	rm -f build/*.o build/ITL_*
	$(MAKE) -C "swig" clean
	for i in $(COMPONENTS); do \
	  $(MAKE) -C $$i clean || exit 1; \
	done

distclean: autogen.sh clean
	fakeroot $(MAKE) -k -f debian/rules clean
	./autogen.sh clean

=== hijri/Makefile ===
# $Id: Makefile,v 1.7 2005/01/14 10:44:36 thamer Exp $

include ../build/config.mk

all \
libitl \
demo_hijri:
	@cd src && $(MAKE) $@

install: all
	@echo "==> Installing hijri component..."
	test -d $(PREFIX)/include/itl \
	|| mkdir -p $(PREFIX)/include/itl \
	|| exit 1;
	cp src/hijri.h $(PREFIX)/include/itl

uninstall:
	@echo "==> Uninstalling hijri component..."
	rm -f $(PREFIX)/include/itl/hijri.h

clean:
	@echo "==> Cleaning hijri component files..."
	@cd src && $(MAKE) $@

=== prayertime/Makefile ===
# $Id: Makefile,v 1.9 2005/01/14 10:44:35 thamer Exp $

include ../build/config.mk

all \
libitl \
demo_prayer:
	@cd src && $(MAKE) $@

install: all
	@echo "==> Installing prayertime component..."
	test -d $(PREFIX)/include/itl \
	|| mkdir -p $(PREFIX)/include/itl \
	|| exit 1;
	cp src/prayer.h $(PREFIX)/include/itl

uninstall:
	@echo "==> Uninstalling prayertime component..."
	rm -f $(PREFIX)/include/itl/prayer.h

clean:
	@echo "==> Cleaning prayertime component files..."
	@cd src && $(MAKE) $@

=== swig/Makefile ===
#--
# $Id: Makefile,v 1.4 2004/12/10 14:08:03 thamer Exp $
#--

CFLAGS+=$(shell perl -e 'use Config; print $$Config{ccflags};')

all: perl-demo

perl-demo: libitl.i

	swig -perl5 libitl.i
	$(CC) -c libitl_wrap.c $(CFLAGS) -I/usr/lib/perl/5.8.4/CORE/
	$(LD) -shared -G ../build/libitl.so libitl_wrap.o -o libitl_perl.so
clean:
	rm -f itlmod.pm libitl_perl.pm libitl_wrap.c libitl_perl.so *.o

=== hijri/src/Makefile ===
# $Id: Makefile,v 1.4 2005/01/14 10:44:36 thamer Exp $

include ../../build/config.mk

all: demo_hijri

demo_hijri: hijri.o umm_alqura.o demo_hijri.c
	@echo "==> Building hijri demo..."
	$(CC) $(CFLAGS) hijri.o umm_alqura.o demo_hijri.c -o demo_hijri -lm

hijri.o: hijri.c hijri.h
	@echo "==> Building hijri component..."
	$(CC) $(CFLAGS) -c hijri.c -o hijri.o

umm_alqura.o: umm_alqura.c hijri.h
	@echo "==> Building umm_alqura component..."
	$(CC) $(CFLAGS) -c umm_alqura.c -o umm_alqura.o

libitl: all
	@echo "==> Create symbolic links for library generation..."
	ln -sf ../hijri/src/hijri.h ../../build/ITL_hijri.h
	ln -sf ../hijri/src/hijri.o ../../build/hijri.o
	ln -sf ../hijri/src/umm_alqura.o ../../build/umm_alqura.o

clean:
	rm -f *.o *~ demo_hijri

=== prayertime/src/Makefile ===
# $Id: Makefile,v 1.7 2005/01/14 10:44:35 thamer Exp $

include ../../build/config.mk

all: demo_prayer

demo_prayer: astro.o prayer.o demo_prayer.c
	@echo "==> Building demo..."
	$(CC) $(CFLAGS) astro.o prayer.o demo_prayer.c -o demo_prayer -lm

prayer.o: prayer.c prayer.h astro.h
	@echo "==> Building libprayer components..."
	$(CC) $(CFLAGS) -c prayer.c -o prayer.o

astro.o: astro.c astro.h prayer.h
	$(CC) $(CFLAGS) -c astro.c -o astro.o

libitl: all
	@echo "==> Create symbolic links for library generation..."
	ln -sf ../prayertime/src/prayer.h ../../build/ITL_prayer.h
	ln -sf ../prayertime/src/prayer.o ../../build/prayer.o
	ln -sf ../prayertime/src/astro.o ../../build/astro.o

clean:
	rm -f *.o *~ demo_prayer

## libitl 0.7.0

=== hijri/Makefile ===
# $Id: Makefile,v 1.8 2006/09/21 16:34:31 thamer Exp $

include ../build/config.mk

all \
libitl \
libitl-libtool \
demo_hijri:
	@cd src && $(MAKE) $@

install: all
	@echo "==> Installing hijri component..."
	test -d $(PREFIX)/include/itl \
	|| install -d $(PREFIX)/include/itl \
	|| exit 1;
	install src/hijri.h $(PREFIX)/include/itl

uninstall:
	@echo "==> Uninstalling hijri component..."
	rm -f $(PREFIX)/include/itl/hijri.h

clean:
	@echo "==> Cleaning hijri component files..."
	@cd src && $(MAKE) $@

=== prayertime/Makefile ===
# $Id: Makefile,v 1.10 2006/09/21 16:37:51 thamer Exp $

include ../build/config.mk

all \
libitl \
libitl-libtool \
demo_prayer:
	@cd src && $(MAKE) $@

install: all
	@echo "==> Installing prayertime component..."
	test -d $(PREFIX)/include/itl \
	|| install $(PREFIX)/include/itl \
	|| exit 1;
	install src/prayer.h $(PREFIX)/include/itl

uninstall:
	@echo "==> Uninstalling prayertime component..."
	rm -f $(PREFIX)/include/itl/prayer.h

clean:
	@echo "==> Cleaning prayertime component files..."
	@cd src && $(MAKE) $@

=== swig/Makefile ===
#--
# $Id: Makefile 1925 2006-09-21 16:39:50Z thamer $
#--

CFLAGS+=$(shell perl -e 'use Config; print $$Config{ccflags};')

all: perl-demo

perl-demo: libitl.i
	swig -perl5 libitl.i
	$(CC) -c libitl_wrap.c $(CFLAGS) -I/usr/lib/perl/5.8.4/CORE/
	$(LD) -shared -G ../build/libitl.so libitl_wrap.o -o libitl_perl.so
clean:
	rm -f libitl_perl.pm libitl_wrap.c libitl_perl.so *.o

=== hijri/src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2005/01/14 10:44:36 thamer Exp $
+# $Id: Makefile,v 1.5 2006/09/21 16:35:46 thamer Exp $
 
 include ../../build/config.mk
 
@@ -18,9 +18,18 @@
 
 libitl: all
 	@echo "==> Create symbolic links for library generation..."
-	ln -sf ../hijri/src/hijri.h ../../build/ITL_hijri.h
+	test -d ../../build/itl/ \
+	|| mkdir -p ../../build/itl/ \
+	|| exit 1;
+	ln -sf ../../hijri/src/hijri.h ../../build/itl/hijri.h
 	ln -sf ../hijri/src/hijri.o ../../build/hijri.o
 	ln -sf ../hijri/src/umm_alqura.o ../../build/umm_alqura.o
 
+libitl-libtool:
+	libtool --mode=compile $(CC) -c hijri.c
+	libtool --mode=compile $(CC) -c umm_alqura.c
+
 clean:
 	rm -f *.o *~ demo_hijri
+	rm -f *.lo
+	rm -rf .libs

=== prayertime/src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.7 2005/01/14 10:44:35 thamer Exp $
+# $Id: Makefile,v 1.8 2006/09/21 16:41:43 thamer Exp $
 
 include ../../build/config.mk
 
@@ -17,9 +17,18 @@
 
 libitl: all
 	@echo "==> Create symbolic links for library generation..."
-	ln -sf ../prayertime/src/prayer.h ../../build/ITL_prayer.h
+	test -d ../../build/itl/ \
+	|| mkdir -p ../../build/itl/ \
+	|| exit 1;
+	ln -sf ../../prayertime/src/prayer.h ../../build/itl/prayer.h
 	ln -sf ../prayertime/src/prayer.o ../../build/prayer.o
 	ln -sf ../prayertime/src/astro.o ../../build/astro.o
 
+libitl-libtool:
+	libtool --mode=compile $(CC) -c prayer.c
+	libtool --mode=compile $(CC) -c astro.c
+
 clean:
 	rm -f *.o *~ demo_prayer
+	rm -f *.lo
+	rm -rf .libs

=== debian/changelog ===
libitl (0.7.0-3build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:42:01 +0100

libitl (0.7.0-3) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/patches/01_Makefile.in.diff: Add -Wl before -soname linker option.
    (Closes: #624905)
  * Bumped compat level to 8
  * debian/control:
    + Updated my email address
    + Bumped Standards-Version to 3.9.2
  * debian/copyright: Updated format specification & copyright years

  [ Mehdi Dogguy ]
  * Add DMUA field in debian/control and set it to "yes".

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 06 May 2011 10:48:46 +0200

libitl (0.7.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * debian/copyright: added Arabeyes developers too as copyright
    holders.
  * Add prayertime/doc/method-info.txt to debian/libitl-dev.docs
  * debian/rules:
    + Simplify rules file.
    + No need to exclude CVS in dh_installdocs
    + Do not cp prayertime/doc/method-info.txt, it is handled by
      dh_installdocs now.
  * debian/control:
    + Build-Depend on debhelper (>= 7.0.50~) to support override targets.
    + Updated Standards-Version to 3.8.4 (no changes needed).
    + Updated Vcs-* fields to new Git repository.
    + Changed Maintainer to Debian Islamic Maintainers, and added myself to
      Uploaders.
    + Added ${misc:Depends} to Depends fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 06 Feb 2010 10:27:00 +0200

libitl (0.7.0-1) unstable; urgency=low

  [ Thamer Mahmoud <thamer@newkuwait.org> ]
  * New upstream release.
  * Updated FSF address, thanks to Mohammed Sameer (Closes: #403480).
  * Binaries should not be stripped, thanks to Julien Danjou (Closes:
    #437373).

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    + Removed Section field from libitl0 target.
    + Added quilt to Build-Depends.
    + Bumped Standards-Version to 3.8.2 (no changes needed).
    + Changed Maintainer to أحمد المحمودي (Ahmed El-Mahmoudy).
    + Upgrade to debhelper 7 (also bumped compat level)
    + Added Vcs-* fields.
  * debian/rules:
    + Use quilt patch system.
    + Replace dh_clean -k with dh_prep
  * Added 01_Makefile.in.diff patch to replace $(LD) with $(CC), since "-Wl," 
    is passed to it.
  * debian/copyright: converted to machine-readable format.
  * debian/libitl-dev.install: Remove pkg-config & *.la entries.
  * Added debian/watch file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Jul 2009 22:49:40 +0300

libitl (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Added autoconf to the build-depends, thanks to Kurt Roeckx (Closes:
    #298794).

 -- Thamer Mahmoud <thamer@newkuwait.org>  Thu, 17 Mar 2005 01:29:43 +0300
	

libitl (0.6.3-1) unstable; urgency=low

  * Initial Release.

 -- Thamer Mahmoud <thamer@newkuwait.org>  Wed,  8 Dec 2004 10:05:07 +0300

=== debian/control ===
Source: libitl
Section: libs
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://www.arabeyes.org/project.php?proj=ITL
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/libitl.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/libitl.git

Package: libitl-dev
Section: libdevel
Architecture: any
Depends: libitl0 (= ${binary:Version}), ${misc:Depends}
Description: Islamic tools & libraries project - development files
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Install this package if you need to build programs that use libitl.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .

Package: libitl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Islamic tools & libraries project - shared library
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

major=0
DOCDIR = debian/libitl$(major)/usr/share/doc/libitl$(major)
DOCDIRDEV = debian/libitl-dev/usr/share/doc/libitl-dev

%:
	dh $@

override_dh_auto_configure:
	./configure prefix=$(CURDIR)/debian/tmp/usr

override_dh_auto_build:
	$(MAKE) static
	$(MAKE) shared

override_dh_auto_install:
	$(MAKE) debinstall

override_dh_installdocs:
	dh_installdocs
	# Adding the component's name to it's README filename.
	cp -p prayertime/README $(DOCDIR)/README.prayertime
	cp -p hijri/README $(DOCDIR)/README.hijri
	cp -p prayertime/README $(DOCDIRDEV)/README.prayertime
	cp -p hijri/README $(DOCDIRDEV)/README.hijri

=== debian/watch ===
version=3

http://sf.net/arabeyes/libitl-(.*)\.tar\.gz

## libitl 0.8.0

=== CMakeLists.txt ===
# CMake build file for ITL
# By: Mohamed A.M. Bamakhrama (mohamed@alumni.tum.de)

cmake_minimum_required(VERSION 2.6)
project( itl )
message( "Installation target directory is: " ${CMAKE_INSTALL_PREFIX} )
message( "To override this value, use 'make -DCMAKE_INSTALL_PREFIX=$DIR'" )

set( COMPILE_FLAGS "-ansi -pedantic -Wall -O2" )
set( CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} ${COMPILE_FLAGS}" )

# Specify header files
set( HEADER_FILES
        hijri/hijri.h
        prayertime/prayer.h
        prayertime/astro.h
        )

# Specify sources
set( SOURCE_FILES
        hijri/hijri.c
        prayertime/astro.c
        prayertime/prayer.c
        hijri/umm_alqura.c
        )

add_library( itl STATIC ${HEADER_FILES} ${SOURCE_FILES} )
install( FILES ${HEADER_FILES} DESTINATION "include/" )
install( TARGETS itl DESTINATION "lib/" )

# Specify executables
add_executable( demo_hijri hijri/demo_hijri.c )
target_link_libraries( demo_hijri itl -lm )

add_executable( demo_prayer prayertime/demo_prayer.c )
target_link_libraries( demo_prayer itl -lm )

=== new_method/CMakeLists.txt ===
# CMake build file for prayer
# By: Mohamed A.M. Bamakhrama (mohamed@alumni.tum.de)

cmake_minimum_required(VERSION 2.2)
project( prayer )

IF (UNIX)
    IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
        set( COMPILE_FLAGS "-std=c89 -Weverything -O2" )
    ELSEIF ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
        set( COMPILE_FLAGS "-std=c89 -W -Wall -Wextra -Werror -O2" )
    ENDIF()
    set( LINKER_FLAGS "-lm" )
    set( CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} ${COMPILE_FLAGS}" )
ELSE (WIN32 AND MSVC)
    set( COMPILE_FLAGS "/Za /Wall /O2" )
    set( LINKER_FLAGS "" )
    set( CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} ${COMPILE_FLAGS}" )
ENDIF (UNIX)

# Specify header files
set( HEADERS
    src/defs.h
    src/prayer.h
    src/config.h
    )

# Specify sources
set( SRCS
    src/prayer.c
    src/config.c
    )

# Specify executables
add_executable( prayer src/main.c ${SRCS} )
target_link_libraries( prayer ${LINKER_FLAGS} )

=== debian/changelog ===
libitl (0.8.0-5) unstable; urgency=medium

  * Fix spelling mistake
  * Update FSF address
  * Drop redundant Rules-Requires-Root field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 28 Sep 2025 03:21:16 +0200

libitl (0.8.0-4) unstable; urgency=medium

  * d/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to dh_auto_configure
    (Closes: #1113160)
  * Update copyright years
  * d/control: bump standards version to 4.7.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 27 Sep 2025 17:13:58 +0200

libitl (0.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers to use salsa repository.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Apply multi-arch hints.
    + libitl-dev, libitl0: Add Multi-Arch: same.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/watch: update watch file
  * d/control:
    + Update to debhelper-compat 13
    + Update to standards-version 4.6.2
    + Add Rules-Requires-Root: no
  * d/u/metadata: remove Homepage field
  * Add c99-fix.diff patch to fix C99 compatibility
  * d/libitl0.symbols: add Build-Depends-Package

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 22 May 2023 00:31:32 +0200

libitl (0.8.0-2) unstable; urgency=medium

  * build_shared.diff patch: fixed library version

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 27 Oct 2017 12:38:09 +0200

libitl (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update watch file
  * Remove obsolete DMUA field
  * Update standards version to 4.1.1
  * Add cmake to Build-Deps
  * Remove patches, no longer needed
  * Clean up rules file
  * Bump compat level to 10
  * Add fix_install_paths.diff to fix install paths
  * Add build_shared.diff patch to build shared library
  * Update list of installed docs
  * Update examples' path
  * Remove unneeded *dirs file
  * Add symbols file
  * Update my email address
  * Changed Vcs-* fields to secure canonical URLs
  * Update copyright format & years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 26 Oct 2017 14:48:29 +0200

=== debian/control ===
Source: libitl
Section: libs
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Homepage: https://github.com/arabeyes-org/ITL
Vcs-Git: https://salsa.debian.org/islamic-team/libitl.git
Vcs-Browser: https://salsa.debian.org/islamic-team/libitl

Package: libitl-dev
Section: libdevel
Architecture: any
Depends: libitl0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Islamic tools & libraries project - development files
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Install this package if you need to build programs that use libitl.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .

Package: libitl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Islamic tools & libraries project - shared library
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/tests/control ===
Tests: build
Depends: libitl-dev, build-essential

=== debian/watch ===
version=4
https://github.com/arabeyes-org/ITL/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@
